Bug 507100 - dvd+rw-booktype patches for LG
dvd+rw-booktype patches for LG
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 17:06 EDT by Maciej Żenczykowski
Modified: 2012-08-16 14:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch applicable for the current sources (6.94 KB, application/octet-stream)
2011-01-21 04:44 EST, Honza Horak
no flags Details

  None (edit)
Description Maciej Żenczykowski 2009-06-20 17:06:40 EDT
There are patches at http://www.sci.fi/~syrjala/dvd/ to support booktype setting on LG drives.  I have not tested whether they work.

(although I do have an LG drive and could test, for the moment I've used a windows utility via wine)
Comment 1 Maciej Żenczykowski 2009-06-20 17:11:08 EDT
I also have a LiteOn drive which is not supported by the dvd+rw-booktype, but which I can modify by a (different) windows utility via wine.  Is there some debugging output I could somehow generate to facilitate creating a patch?  I'm assuming all that's important is the SCSI/ATAPI commands sent received from the burner - is there some way to dump them?
Comment 2 Bug Zapper 2010-04-27 11:07:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 07:03:59 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Maciej Żenczykowski 2010-11-04 16:05:02 EDT
I don't think this has been fixed.
Comment 5 Fedora Admin XMLRPC Client 2011-01-10 08:52:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Honza Horak 2011-01-19 12:19:45 EST
Patches from http://www.sci.fi/~syrjala/dvd/ were developped for sources dvd+rw-tools-5.21.4 (August 2005), but now we use sources dvd+rw-tools-7.1 (March 2008). Current version contains LG drive, as well as LiteOn, support, but I can't test it.

Can you test the current version on your LG and LiteOn drives? The inspiration how to test can be found in bugzilla #220852 (the tool should be able to recognize DVD media well).
Comment 7 Honza Horak 2011-01-21 04:44:37 EST
Created attachment 474604 [details]
patch applicable for the current sources

Added patches from http://www.sci.fi/~syrjala/dvd/, which are applicable for the current sources, but not tested yet.
Comment 8 Maciej Żenczykowski 2011-03-07 01:40:49 EST
# rpm -q --whatprovides `which dvd+rw-booktype`
dvd+rw-tools-7.1-5.fc14.x86_64

# dvd+rw-mediainfo /dev/sr0
INQUIRY:                [LITE-ON ][DVDRW LH-20A1L  ][BL06]
GET [CURRENT] CONFIGURATION:
:-( no media mounted, exiting...

# dvd+rw-mediainfo /dev/sr1
INQUIRY:                [HL-DT-ST][BD-RE  GGW-H20L ][YL05]
GET [CURRENT] CONFIGURATION:
:-( no media mounted, exiting...

# dvd+rw-mediainfo /dev/sr2
INQUIRY:                [MATSHITA][DVD-R   UJ-867  ][HA13]
GET [CURRENT] CONFIGURATION:
:-( no media mounted, exiting...

# dvd+rw-booktype -inq /dev/sr0
:-[ LG_FAh failed with SK=2h/MEDIUM NOT PRESENT - TRAY CLOSED]: No medium found

# dvd+rw-booktype -inq /dev/sr1
Unit will brand DVD+R media as DVD+R
Unit will brand DVD+R DL media as DVD+R DL

# dvd+rw-booktype -inq /dev/sr2
:-( Can't inquiry unit settings, you have to set booktype prior every recording to be sure.

[I'm not currently physically present at the location of the drives, so I can't actually insert media, however either way it is not obvious to me whether I should be testing the currently released version of the dvd+rw-tools rpm or something else]

(side note: it appears that running 'dvd+rw-booktype -dvd-rom-spec -unit /dev/sr1' on a media-less drive has resulted in the drive going away, and even powering the drive off and on (external drive with remote power) hasn't recovered it)
Comment 9 Honza Horak 2011-03-07 08:47:19 EST
(In reply to comment #8)
> [I'm not currently physically present at the location of the drives, so I can't
> actually insert media, however either way it is not obvious to me whether I
> should be testing the currently released version of the dvd+rw-tools rpm or
> something else]

I meant you could test both - the new version dvd+rw-tools-7.1-5.fc14 (which you did, but didn't work) and the patch - attachment 474604 [details] (which can be applied to dvd+rw-tools-7.1). However, I don't think the patch will work, because there is a very similar LG support in the current version too.

What is important for me is the following notice from http://fy.chalmers.se/~appro/linux/DVD+RW/: "Not all vendors support this and you can't expect this utility to work with all recorders."

(In reply to comment #1)
> I also have a LiteOn drive which is not supported by the dvd+rw-booktype, but
> which I can modify by a (different) windows utility via wine.  Is there some
> debugging output I could somehow generate to facilitate creating a patch?  I'm
> assuming all that's important is the SCSI/ATAPI commands sent received from the
> burner - is there some way to dump them?

Besides gdb, I think "strace wine ./your_utility | grep ioctl" can help, but I don't know any smart utility for that purpose.
Comment 10 Fedora End Of Life 2012-08-16 14:16:05 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.